summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andreas Voegele <andreas@andreasvoegele.com>2017-07-12 08:23:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-07-12 22:47:53 +0700
commit96a026113d84c46ebb82ab7a700123f7b2b683a2 (patch)
treefe49ecbf3d9908515eed4cd64ff1e10439f368aa
parentc2712b22700baf9207f520b291b3be9e92774aff (diff)
downloadslackbuilds-96a026113d84c46ebb82ab7a700123f7b2b683a2.tar.gz
slackbuilds-96a026113d84c46ebb82ab7a700123f7b2b683a2.tar.xz
system/mariadb-plugin-saslauthd: Added (SASLAUTHD Support).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/mariadb-plugin-saslauthd/README23
-rw-r--r--system/mariadb-plugin-saslauthd/auth_saslauthd.cnf.new2
-rw-r--r--system/mariadb-plugin-saslauthd/doinst.sh14
-rw-r--r--system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.SlackBuild83
-rw-r--r--system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.info10
-rw-r--r--system/mariadb-plugin-saslauthd/slack-desc19
6 files changed, 151 insertions, 0 deletions
diff --git a/system/mariadb-plugin-saslauthd/README b/system/mariadb-plugin-saslauthd/README
new file mode 100644
index 0000000000..9acf4668c1
--- /dev/null
+++ b/system/mariadb-plugin-saslauthd/README
@@ -0,0 +1,23 @@
+This MariaDB plugin authenticates database users against the system
+password file /etc/shadow or other authentication mechanisms supported
+by saslauthd.
+
+Enable the saslauthd daemon with:
+
+ chmod +x /etc/rc.d/rc.saslauthd
+ /etc/rc.d/rc.saslauthd start
+
+Restart MariaDB after package installation to enable the plugin.
+
+To create a database user which uses saslauthd, use
+
+ CREATE USER username@hostname IDENTIFIED WITH saslauthd;
+
+Optionally, a different system user as well as a realm can be specified.
+Example:
+
+ CREATE USER 'jekyll' IDENTIFIED WITH saslauthd AS 'hyde@EXAMPLE.COM';
+
+saslauthd needs clear text passwords. Secure non-local connections
+between your database clients and the server with TLS. See the MariaDB
+documentation for more information.
diff --git a/system/mariadb-plugin-saslauthd/auth_saslauthd.cnf.new b/system/mariadb-plugin-saslauthd/auth_saslauthd.cnf.new
new file mode 100644
index 0000000000..390291b30e
--- /dev/null
+++ b/system/mariadb-plugin-saslauthd/auth_saslauthd.cnf.new
@@ -0,0 +1,2 @@
+[mariadb]
+plugin-load-add=auth_saslauthd.so
diff --git a/system/mariadb-plugin-saslauthd/doinst.sh b/system/mariadb-plugin-saslauthd/doinst.sh
new file mode 100644
index 0000000000..e0a5cd1676
--- /dev/null
+++ b/system/mariadb-plugin-saslauthd/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/my.cnf.d/auth_saslauthd.cnf.new
diff --git a/system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.SlackBuild b/system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.SlackBuild
new file mode 100644
index 0000000000..a318379c75
--- /dev/null
+++ b/system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for mariadb-plugin-saslauthd
+
+# Copyright 2017 Andreas Voegele <andreas@andreasvoegele.com>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=mariadb-plugin-saslauthd
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make OPTIMIZE="$SLKCFLAGS" SASLAUTHD_PATH="/var/state/saslauthd/mux"
+make install DESTDIR=$PKG
+
+install -D -m 0644 $CWD/auth_saslauthd.cnf.new $PKG/etc/my.cnf.d/auth_saslauthd.cnf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.info b/system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.info
new file mode 100644
index 0000000000..5c212e1238
--- /dev/null
+++ b/system/mariadb-plugin-saslauthd/mariadb-plugin-saslauthd.info
@@ -0,0 +1,10 @@
+PRGNAM="mariadb-plugin-saslauthd"
+VERSION="1.0"
+HOMEPAGE="https://github.com/voegelas/mariadb-plugin-saslauthd"
+DOWNLOAD="https://github.com/voegelas/mariadb-plugin-saslauthd/archive/v1.0/mariadb-plugin-saslauthd-1.0.tar.gz"
+MD5SUM="8e1b5c1a9f5756a6a7af464563994a58"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andreas Voegele"
+EMAIL="andreas@andreasvoegele.com"
diff --git a/system/mariadb-plugin-saslauthd/slack-desc b/system/mariadb-plugin-saslauthd/slack-desc
new file mode 100644
index 0000000000..cfbd1b7271
--- /dev/null
+++ b/system/mariadb-plugin-saslauthd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mariadb-plugin-saslauthd: mariadb-plugin-saslauthd (Authenticate database users with saslauthd)
+mariadb-plugin-saslauthd:
+mariadb-plugin-saslauthd: This MariaDB plugin authenticates database users against the system
+mariadb-plugin-saslauthd: password file /etc/shadow or other authentication mechanisms
+mariadb-plugin-saslauthd: supported by saslauthd.
+mariadb-plugin-saslauthd:
+mariadb-plugin-saslauthd:
+mariadb-plugin-saslauthd:
+mariadb-plugin-saslauthd:
+mariadb-plugin-saslauthd:
+mariadb-plugin-saslauthd: